# std::weak_ptr< _Tp > Class Template Reference
[Pointer Abstractions]

A smart pointer with weak semantics. More...

Inherits __weak_ptr< _Tp >.

List of all members.

## Public Member Functions

- template<typename _Tp1 > weak_ptr (const weak_ptr< _Tp1 > &__r)
- template<typename _Tp1 > weak_ptr (const shared_ptr< _Tp1 > &__r)
- shared_ptr< _Tp > lock () const
- template<typename _Tp1 > weak_ptr & operator= (const shared_ptr< _Tp1 > &__r)
- template<typename _Tp1 > weak_ptr & operator= (const weak_ptr< _Tp1 > &__r)

## Detailed Description

### template<typename _Tp>
class std::weak_ptr< _Tp >

A smart pointer with weak semantics.

With forwarding constructors and assignment operators.

Definition at line 321 of file shared_ptr.h.

The documentation for this class was generated from the following file:

- shared_ptr.h